precision highp float;

varying highp vec2 textureCoordinate;
varying highp vec2 textureCoordinate2;

uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;

void main()
{
    lowp vec4 source = texture2D(inputImageTexture, textureCoordinate);
    lowp vec4 destination =  texture2D(inputImageTexture2, textureCoordinate2);

    if (destination.r > 0.0 || destination.g > 0.0 || destination.b > 0.0){

        gl_FragColor = source;

    } else {

        gl_FragColor = vec4(0.0);
    }
}