precision highp float;

varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;

uniform int flipX;
uniform int flipY;

void main(){

    vec4 color = texture2D(inputImageTexture, vec2(textureCoordinate.x, textureCoordinate.y));

    if (flipX == 1){

        color = texture2D(inputImageTexture, vec2(1.0 - textureCoordinate.x, textureCoordinate.y));
    }

    gl_FragColor = color;
}